const { SingleNode } = require('als-document');

function link(href, attributes = { rel: "stylesheet", type: "text/css" },layout) {
   if (!href || typeof href !== 'string') return layout
   const selector = `link[rel=stylesheet][href^="${href}"]`
   let linkElement = layout.root.$(selector)
   if (linkElement) return
   linkElement = new SingleNode('link', { href, ...attributes })
   layout.head.insert(2, linkElement)
   return layout
}

module.exports = link