const { readFileSync, writeFileSync, readdirSync } = require('fs')
const { join } = require('path')

const docsDir = join(__dirname, '..','docs')
const files = readdirSync(docsDir)
const content = files.map(file => readFileSync(join(docsDir, file), 'utf-8')).join('\n');
writeFileSync(join(__dirname, '..','readme.md'), content, 'utf-8')

