const { SingleNode } = require('als-document');

function meta(props,layout) {
   const entries = Object.entries(props)
   const [name, value] = entries[0]
   const selector = `meta[${name}="${value}"]`
   const metaElement = layout.root.$(selector)
   if (metaElement) entries.forEach(([name, v]) => metaElement.setAttribute(name, props[name]))
   else layout.head.insert(2, new SingleNode('meta', props))
}

module.exports = meta